%define lib_major	1
%define lib_name	%mklibname xfce4panel %{lib_major}
%define version		4.4.0
%define __libtoolize	/bin/true
%define __cputoolize	/bin/true

Summary:	Panel for Xfce
Name:		xfce-panel
Version:	%{version}
Release:	%mkrel 1
License:	GPL
URL:		http://www.xfce.org/
Source0: 	xfce4-panel-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	desktop-common-data
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	libxml2-devel >= 2.4.0
Provides:	xfce-systray
Provides:	xfce4-systray
Provides:	xfce4-iconbox
Provides:	xfce4-modemlights-plugin
Provides:	xfce4-showdesktop-plugin
Provides:	xfce4-taskbar-plugin
Provides:	xfce4-toys
Provides:	xfce4-trigger-launcher
Provides:	xfce4-windowlist-plugin 
Obsoletes:	xfce-systray
Obsoletes:       xfce4-systray
Obsoletes:       xfce4-iconbox
Obsoletes:       xfce4-modemlights-plugin
Obsoletes:       xfce4-showdesktop-plugin
Obsoletes:       xfce4-taskbar-plugin
Obsoletes:       xfce4-toys
Obsoletes:       xfce4-trigger-launcher
Obsoletes:       xfce4-windowlist-plugin


%description
Xfce-panel is the panel for the Xfce Desktop Environment.

%package -n %{lib_name}
Summary:	Panel library for the Xfce desktop environment
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Panel library for the Xfce desktop environment.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	gtk-doc
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 4.3

%description -n %{lib_name}-devel
Libraries and header files for the %{name} library.


%prep
%setup -q -n xfce4-panel-%{version}

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded devel files
rm -f ${RPM_BUILD_ROOT}%{_libdir}/xfce4/panel-plugins/*.a
cp ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/libxfce4panel-1.0.pc ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/xfce4-panel-1.0.pc

%find_lang xfce4-panel

%post -n %{lib_name}
/sbin/ldconfig
%update_icon_cache hicolor

%postun -n %{lib_name}
/sbin/ldconfig
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT


%files -f xfce4-panel.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%doc %{_datadir}/xfce4/doc/C/
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4/*
%{_bindir}/*
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/mcs-plugins/*.so
%{_datadir}/applications/xfce4-panel-manager.desktop
%{_datadir}/icons/*
%{_datadir}/xfce4/panel-plugins/*
%dir %{_datadir}/gtk-doc/html/libxfce4panel
%{_datadir}/gtk-doc/html/libxfce4panel/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc HACKING README.Plugins
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/xfce4/panel-plugins/*.la
%{_libdir}/xfce4/mcs-plugins/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4panel/*




%changelog
* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112325
- add forgoten sources
- New release 4.4.0

  + Jérôme Soyer <saispo@mandriva.org>
    - Bump Release
    - Add Provides and Obsoletes

* Sat Dec 30 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-4mdv2007.1
+ Revision: 102747
- Bump release
- Move ln to cp for pkgconfig

* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-3mdv2007.1
+ Revision: 102577
- Fix pkgconfig file

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 95191
- Rebuild for x86_64
- New release 4.3.99.2

* Tue Oct 24 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.3.90.2-4mdv2007.1
+ Revision: 72396
- Rebuild
- Rebuild for missing package on x86_64
- import xfce-panel-4.3.90.2-2mdv2007.0


* Sat Jul 15 2006 Pascal Terjan <pterjan@mandriva.org> 4.3.90.2-2mdv2007.0
- fix scriptlets (don't use /sbin/ldconfig as interpreter if we add some code)
- fix mix of spaces and tabs

* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sat Jun 24 2006 Pascal Terjan <pterjan@mandriva.org> 4.3.90.1-2mdv2007.0
- Obsolete xfce-panel-devel < 4.3 so that it get deleted

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- reupload for lost package

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- treat 4.3.28 as 4.3.0 to keep versions in sync
- don't run libtoolize
- update filelist
- add libpackages
- obsolete and provide xfce-systray

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %mkrel
- requires desktop-common-data

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1.1-1mdk
- 4.2.1.1 bug fix release
- adjust BR & R

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- really use www-browser for all locales

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- use www-browser, require mandrake_desk

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update filelist

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Tue Nov 18 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- fix requires

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- fix (build)requires
- sysconfdir = /etc/X11

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

